Get Max People/Vehicle Counts

Returns the max count of people and vehicles within a specified time range.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Only supported for 2nd and 3rd generation Verkada cameras.

This API endpoint returns two values: a people count and a vehicle count. The returned counts can be retrieved for a unique timestamp or for a time range. For example, if inputting a 15 minute range, the returned values will represent the maximum number of concurrent people and vehicles detections made over that time span, instead of the total unique object counts.

Use cases:

  • Helix POS Integration – This feature is a great Helix add-on for users that are looking to add a reliable count of people involved in a POS transaction. This can be especially useful when reviewing return transactions.
  • Queue Monitoring – Using a unique timestamp, the endpoint will return the exact people and vehicle count for that given time. This is a great way to monitor people count in areas such as queues or waiting rooms. This can also be used to monitor drive-through locations for vehicles.

Users have the option to add a search zone, based on the 10 by 10 grid used on Verkada cameras (visible when performing a motion search). Each region is labeled with coordinates [x,y] with the top left hand corner region being [0,0] and the bottom right hand corner being [9,9].

The search zone parameter must be entered as a list of regions. To retrieve the people and vehicle counts across the center four regions, the inputted search zones would be: [[5,2],[5,3],[5,4],[5,5],[5,6],[6,2],[6,3],[6,4],[6,5],[6,6],[7,2],[7,3],[7,4],[7,5],[7,6]].

Note: the selected regions and their respective coordinates can be found in the URL after performing a motion search (see image above). Regions do not have to be continuous to be used as search zones.

Query Params
string
required

The unique identifier of the camera.

integer

The start of the time range for requested counts.
Formatted as a Unix timestamp in seconds.
Default value is the current time.
If only providing a start time, the same value will be used for end_time

integer

The end of the time range for requested counts.
Formatted as a Unix timestamp in seconds.
It can only be used if start_time is also provided

search_zones
array of arrays of integers

Zones to search
Formatted as coordinates ranging from [0,0] to [9,9]
e.g., [[3,3],[3,4],[4,3],[4,4]]

Search Zones
Response

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json